/* $Id: e2_view_dialog.h 762 2005-05-13 04:00:38Z tpgww $
 * 
 * Copyright (C) 2004-2005 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file GPL. If not, contact the Free Software
 * Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef E2_VIEW_DIALOG_H
#define E2_VIEW_DIALOG_H

typedef struct _E2_ViewDialogRuntime
{
	GtkWidget        *dialog;
	GtkWidget        *textview;
	GtkTextBuffer        *textbuffer;
//	GtkWidget        *buffer_current;
	gchar			 *filename;
//	GtkTextIter       start;
//	GtkTextIter       end;
	gint              window_width;
	gint              window_height;
	guint             idle_id;
	gboolean          wrap;
} E2_ViewDialogRuntime;

void e2_view_dialog_show (gchar *filename);
void e2_view_dialog_actions_register ();
void e2_view_dialog_options_register ();

#endif //ndef E2_VIEW_DIALOG_H
