/* $Id: debug.h 762 2005-05-13 04:00:38Z tpgww $
 * 
 * Copyright (C) 2003-2004 tooar <tooar@gmx.net>
 * 
 * This file is part of emelFM2.
 * emelFM2 is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * emelFM2 is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with emelFM2; see the file GPL. If not, contact the Free Software
 * Foundation, 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef DEBUG_H
#define DEBUG_H

#include <errno.h>

#define ERROR 1
#define WARN 2
#define INFO 3
#define NOTICE 4
#define DEBUG 5

#define printd(level, str, args...) printd_raw (level, __FILE__, __LINE__, str, ## args)
#define ERR_STR strerror (errno)
void printd_raw (int level, char *file, int line, const char *format, ...);

#endif /* ifndef DEBUG_H */
